GTPin: gtpin::IGtCore Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtCore Class Reference
GTPin: Core Services

< Handle to the tool registered with the GTPin core More...

`#include <igt_core.h>`

Inherits gtpin::IMemAllocator.

## Public Member Functions
virtual GtToolHandle | RegisterTool (IGtTool &tool)=0
| Register the specified tool with the GTPin core.
virtual bool | UnregisterTool (GtToolHandle toolHandle)=0
| Remove the specified tool from the tool's registry of this GTPin core.
virtual const char * | Version () const =0
| Return the GTPin kit version.
virtual const char * | Revision () const =0
| Return the GTPin kit revision.
virtual uint32_t | ApiVersion () const =0
| Return the API version supported by this GTPin kit (see GTPIN_API_VERSION)
virtual GtCoreString | ProfileDir () const =0
| Return the default directory dedicated to profile data files.
virtual bool | CreateProfileDir () const =0
| Create the default directory dedicated to profile data files.
virtual const IGtGenArch & | GenArch () const =0
| Return Object that provides access to generic and model-specific properties of the GEN architecture.
virtual IGtKnobRegistry & | Knobs ()=0
| Return Container of GTPin configuration arguments (KNOBs)
virtual void | RegisterEventHandler (IGtEventHandler &eventHandler)=0
| Register the specified event handler with the GTPin core.
virtual const IGtEvent & | LastError () const =0
| Get last error event reported by GTPin in the current thread.
virtual IGtHliLibrary & | HliLibrary () const =0
| Return Collection of the High-Level Instrumentation (HLI) modules.

## Detailed Description

< Handle to the tool registered with the GTPin core

Singleton that provides GTPin core interface: tool registration and other core services

Availability:
  - Anytime and anywhere

## Member Function Documentation

virtual bool gtpin::IGtCore::CreateProfileDir | ( |  | ) | const`[pure virtual]`

Create the default directory dedicated to profile data files.

Returns:
  true - success, false - failure In case of error, the IGtCore::LastError() function provides the specific failure reason

virtual const IGtEvent& gtpin::IGtCore::LastError | ( |  | ) | const`[pure virtual]`

Get last error event reported by GTPin in the current thread.

Returns:
  An event with the error status and the corresponding information. If no error occurred - event with the GTPIN_STATUS_SUCCESS status.

virtual void gtpin::IGtCore::RegisterEventHandler | ( | IGtEventHandler & | eventHandler | ) | `[pure virtual]`

Register the specified event handler with the GTPin core.

GTPin supports multiple event handlers that can be registered by a single tool or multiple tools. The order in which events will be dispatched to handlers is not guaranteed

virtual GtToolHandle gtpin::IGtCore::RegisterTool | ( | IGtTool & | tool | ) | `[pure virtual]`

Register the specified tool with the GTPin core.

The GTPin core checks the tool API version, and declines tools whose version is not supported.

Note:
  In addition to registering GTPin tool, this function completes GTPin initialization. Therefore, any change to the default GTPin configuration (KNOBs) should be done prior to this function call.

Parameters:

  [in] | tool | Object that implements IGtTool interface (callbacks)

Returns:
  Handle to the registered tool, or nullptr if the tool registration failed. In case of error, the IGtCore::LastError() function provides the specific failure reason

virtual bool gtpin::IGtCore::UnregisterTool | ( | GtToolHandle | toolHandle | ) | `[pure virtual]`

Remove the specified tool from the tool's registry of this GTPin core.

Parameters:

  [in] | toolHandle | Handle to the tool rergistered with this GTPin core

Returns:
  true - success, false - failure In case of error, the IGtCore::LastError() function provides the specific failure reason

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT